Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | Protected Attributes
tesseract::TuningParams Class Reference

`#include <tuning_params.h>`

Inheritance diagram for tesseract::TuningParams:

List of all members.

## Public Types

enum | type_classifer { NN, HYBRID_NN }
enum | type_feature { BMP, CHEBYSHEV, HYBRID }

## Public Member Functions

| TuningParams ()
virtual | ~TuningParams ()
double | RecoWgt () const
double | SizeWgt () const
double | CharBigramWgt () const
double | WordUnigramWgt () const
int | MaxSegPerChar () const
int | BeamWidth () const
int | TypeClassifier () const
int | TypeFeature () const
int | ConvGridSize () const
int | HistWindWid () const
int | MinConCompSize () const
double | MaxWordAspectRatio () const
double | MinSpaceHeightRatio () const
double | MaxSpaceHeightRatio () const
double | CombinerRunThresh () const
double | CombinerClassifierThresh () const
void | SetRecoWgt (double wgt)
void | SetSizeWgt (double wgt)
void | SetCharBigramWgt (double wgt)
void | SetWordUnigramWgt (double wgt)
void | SetMaxSegPerChar (int max_seg_per_char)
void | SetBeamWidth (int beam_width)
void | SetTypeClassifier (type_classifer tp_classifier)
void | SetTypeFeature (type_feature tp_feat)
void | SetHistWindWid (int hist_wind_wid)
virtual bool | Save (string file_name)=0
virtual bool | Load (string file_name)=0

## Protected Attributes

double | reco_wgt_
double | size_wgt_
double | char_bigrams_wgt_
double | word_unigrams_wgt_
int | max_seg_per_char_
int | beam_width_
type_classifer | tp_classifier_
type_feature | tp_feat_
int | conv_grid_size_
int | hist_wind_wid_
int | min_con_comp_size_
double | max_word_aspect_ratio_
double | min_space_height_ratio_
double | max_space_height_ratio_
double | combiner_run_thresh_
double | combiner_classifier_thresh_

## Detailed Description

Definition at line 33 of file tuning_params.h.

## Member Enumeration Documentation

enum tesseract::TuningParams::type_classifer

Enumerator:

  NN |
  HYBRID_NN |

Definition at line 35 of file tuning_params.h.

{
NN,
HYBRID_NN
};

enum tesseract::TuningParams::type_feature

Enumerator:

  BMP |
  CHEBYSHEV |
  HYBRID |

Definition at line 39 of file tuning_params.h.

{
BMP,
CHEBYSHEV,
HYBRID
};

## Constructor & Destructor Documentation

tesseract::TuningParams::TuningParams | ( |  | ) |

inline

Definition at line 45 of file tuning_params.h.

{}

virtual tesseract::TuningParams::~TuningParams | ( |  | ) |

inlinevirtual

Definition at line 46 of file tuning_params.h.

{}

## Member Function Documentation

int tesseract::TuningParams::BeamWidth | ( |  | ) | const

inline

Definition at line 53 of file tuning_params.h.

{ return beam_width_; }

double tesseract::TuningParams::CharBigramWgt | ( |  | ) | const

inline

Definition at line 50 of file tuning_params.h.

{ return char_bigrams_wgt_; }

double tesseract::TuningParams::CombinerClassifierThresh | ( |  | ) | const

inline

Definition at line 63 of file tuning_params.h.

{
return combiner_classifier_thresh_; }

double tesseract::TuningParams::CombinerRunThresh | ( |  | ) | const

inline

Definition at line 62 of file tuning_params.h.

{ return combiner_run_thresh_; }

int tesseract::TuningParams::ConvGridSize | ( |  | ) | const

inline

Definition at line 56 of file tuning_params.h.

{ return conv_grid_size_; }

int tesseract::TuningParams::HistWindWid | ( |  | ) | const

inline

Definition at line 57 of file tuning_params.h.

{ return hist_wind_wid_; }

virtual bool tesseract::TuningParams::Load | ( | string | file_name | ) |

pure virtual

Implemented in tesseract::CubeTuningParams.

int tesseract::TuningParams::MaxSegPerChar | ( |  | ) | const

inline

Definition at line 52 of file tuning_params.h.

{ return max_seg_per_char_; }

double tesseract::TuningParams::MaxSpaceHeightRatio | ( |  | ) | const

inline

Definition at line 61 of file tuning_params.h.

{ return max_space_height_ratio_; }

double tesseract::TuningParams::MaxWordAspectRatio | ( |  | ) | const

inline

Definition at line 59 of file tuning_params.h.

{ return max_word_aspect_ratio_; }

int tesseract::TuningParams::MinConCompSize | ( |  | ) | const

inline

Definition at line 58 of file tuning_params.h.

{ return min_con_comp_size_; }

double tesseract::TuningParams::MinSpaceHeightRatio | ( |  | ) | const

inline

Definition at line 60 of file tuning_params.h.

{ return min_space_height_ratio_; }

double tesseract::TuningParams::RecoWgt | ( |  | ) | const

inline

Definition at line 48 of file tuning_params.h.

{ return reco_wgt_; }

virtual bool tesseract::TuningParams::Save | ( | string | file_name | ) |

pure virtual

Implemented in tesseract::CubeTuningParams.

void tesseract::TuningParams::SetBeamWidth | ( | int | beam_width | ) |

inline

Definition at line 73 of file tuning_params.h.

{ beam_width_ = beam_width; }

void tesseract::TuningParams::SetCharBigramWgt | ( | double | wgt | ) |

inline

Definition at line 68 of file tuning_params.h.

{ char_bigrams_wgt_ = wgt; }

void tesseract::TuningParams::SetHistWindWid | ( | int | hist_wind_wid | ) |

inline

Definition at line 78 of file tuning_params.h.

{
hist_wind_wid_ = hist_wind_wid;
}

void tesseract::TuningParams::SetMaxSegPerChar | ( | int | max_seg_per_char | ) |

inline

Definition at line 70 of file tuning_params.h.

{
max_seg_per_char_ = max_seg_per_char;
}

void tesseract::TuningParams::SetRecoWgt | ( | double | wgt | ) |

inline

Definition at line 66 of file tuning_params.h.

{ reco_wgt_ = wgt; }

void tesseract::TuningParams::SetSizeWgt | ( | double | wgt | ) |

inline

Definition at line 67 of file tuning_params.h.

{ size_wgt_ = wgt; }

void tesseract::TuningParams::SetTypeClassifier | ( | type_classifer | tp_classifier | ) |

inline

Definition at line 74 of file tuning_params.h.

{
tp_classifier_ = tp_classifier;
}

void tesseract::TuningParams::SetTypeFeature | ( | type_feature | tp_feat | ) |

inline

Definition at line 77 of file tuning_params.h.

{tp_feat_ = tp_feat;}

void tesseract::TuningParams::SetWordUnigramWgt | ( | double | wgt | ) |

inline

Definition at line 69 of file tuning_params.h.

{ word_unigrams_wgt_ = wgt; }

double tesseract::TuningParams::SizeWgt | ( |  | ) | const

inline

Definition at line 49 of file tuning_params.h.

{ return size_wgt_; }

int tesseract::TuningParams::TypeClassifier | ( |  | ) | const

inline

Definition at line 54 of file tuning_params.h.

{ return tp_classifier_; }

int tesseract::TuningParams::TypeFeature | ( |  | ) | const

inline

Definition at line 55 of file tuning_params.h.

{ return tp_feat_; }

double tesseract::TuningParams::WordUnigramWgt | ( |  | ) | const

inline

Definition at line 51 of file tuning_params.h.

{ return word_unigrams_wgt_; }

## Member Data Documentation

int tesseract::TuningParams::beam_width_

protected

Definition at line 98 of file tuning_params.h.

double tesseract::TuningParams::char_bigrams_wgt_

protected

Definition at line 91 of file tuning_params.h.

double tesseract::TuningParams::combiner_classifier_thresh_

protected

Definition at line 125 of file tuning_params.h.

double tesseract::TuningParams::combiner_run_thresh_

protected

Definition at line 121 of file tuning_params.h.

int tesseract::TuningParams::conv_grid_size_

protected

Definition at line 104 of file tuning_params.h.

int tesseract::TuningParams::hist_wind_wid_

protected

Definition at line 107 of file tuning_params.h.

int tesseract::TuningParams::max_seg_per_char_

protected

Definition at line 95 of file tuning_params.h.

double tesseract::TuningParams::max_space_height_ratio_

protected

Definition at line 117 of file tuning_params.h.

double tesseract::TuningParams::max_word_aspect_ratio_

protected

Definition at line 111 of file tuning_params.h.

int tesseract::TuningParams::min_con_comp_size_

protected

Definition at line 109 of file tuning_params.h.

double tesseract::TuningParams::min_space_height_ratio_

protected

Definition at line 114 of file tuning_params.h.

double tesseract::TuningParams::reco_wgt_

protected

Definition at line 87 of file tuning_params.h.

double tesseract::TuningParams::size_wgt_

protected

Definition at line 89 of file tuning_params.h.

type_classifer tesseract::TuningParams::tp_classifier_

protected

Definition at line 100 of file tuning_params.h.

type_feature tesseract::TuningParams::tp_feat_

protected

Definition at line 102 of file tuning_params.h.

double tesseract::TuningParams::word_unigrams_wgt_

protected

Definition at line 93 of file tuning_params.h.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/cube/tuning_params.h